
#ifndef PORYGONLANG_TYPEDVARIABLEIDENTIFIER_HPP
#define PORYGONLANG_TYPEDVARIABLEIDENTIFIER_HPP

#include "../Utilities/HashedString.hpp"

namespace Porygon::Parser {
    class TypedVariableIdentifier {
        const HashedString _type;
        const HashedString _identifier;
    public:
        TypedVariableIdentifier(const HashedString& type, const HashedString& identifier)
                : _type(type), _identifier(identifier) {
        }

        inline const HashedString* GetType() {
            return &_type;
        }

        inline const HashedString* GetIdentifier() {
            return &_identifier;
        }
    };
}

#endif //PORYGONLANG_TYPEDVARIABLEIDENTIFIER_HPP
